> NOTE: This page was generated from the Puppet source code on 2024-08-28 16:45:59 -0700

# notify

- Attributes

## Description

Sends an arbitrary message, specified as a string, to the agent run-time log. It’s important to note that the notify resource type is not idempotent. As a result, notifications are shown as a change on every Puppet run.

## Attributes

    notify { 'resource title':
      name     => # (namevar) An arbitrary tag for your own reference; the...
      message  => # The message to be sent to the log. Note that the
      withpath => # Whether to show the full object path.  Default...
      # ...plus any applicable metaparameters.
    }

### name

(Namevar: If omitted, this attribute’s value defaults to the resource’s title.)

An arbitrary tag for your own reference; the name of the message.

(↑ Back to notify attributes)

### message

(Property: This attribute represents concrete state on the target system.)

The message to be sent to the log. Note that the value specified must be a string.

(↑ Back to notify attributes)

### withpath

Whether to show the full object path.

Default: `false`

Allowed values:

- `true`
- `false`

(↑ Back to notify attributes)